package com.goer.project.model.modelEntity.service;

import java.io.InputStream;
import java.util.List;

import com.goer.common.chiner.model.TableEntity;
import com.goer.project.model.modelEntity.domain.ModelEntity;
import org.apache.poi.ss.formula.functions.T;

/**
 * 数据Service接口
 * 
 * @author goer
 * @date 2022-01-17
 */
public interface IModelEntityService 
{
    /**
     * 查询数据
     * 
     * @param id 数据主键
     * @return 数据
     */
    public ModelEntity selectModelEntityById(Long id);

    /**
     * 查询数据列表
     * 
     * @param modelEntity 数据
     * @return 数据集合
     */
    public List<ModelEntity> selectModelEntityList(ModelEntity modelEntity);

    /**
     * 新增数据
     * 
     * @param modelEntity 数据
     * @return 结果
     */
    public int insertModelEntity(ModelEntity modelEntity);
    public int copyModelEntity(ModelEntity modelEntity);

    /**
     * 修改数据
     * 
     * @param modelEntity 数据
     * @return 结果
     */
    public int updateModelEntity(ModelEntity modelEntity);

    /**
     * 批量删除数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteModelEntityByIds(String ids);

    /**
     * 删除数据信息
     * 
     * @param id 数据主键
     * @return 结果
     */
    public int deleteModelEntityById(Long id);

    /**
     * 排序
     *
     * @param modelEntity
     * @return
     */
    public int sort(ModelEntity modelEntity);

    public int importTable(ModelEntity modelEntity);

    public String checkEntityCodeUnique(ModelEntity modelEntity);

    public int importTables(InputStream is, Long projectId) throws Exception;

}
